# QVM: Quaternions, Vectors, Matrices

### boost/qvm/map_mat_mat.hpp

This header file defines view proxies that access a given matrix object as different matrix object, for example deleting or swapping rows or columns.

### Synopsis:

#include <boost/qvm/map_mat_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int R>
            -unspecified-return-type- del_row();

            template <int C>
            -unspecified-return-type- del_col();

            template <int R,int C>
            -unspecified-return-type- del_row_col();

            template <int R>
            -unspecified-return-type- neg_row();

            template <int C>
            -unspecified-return-type- neg_col();

            template <int R1,int R2>
            -unspecified-return-type- swap_rows();

            template <int C1,int C2>
            -unspecified-return-type- swap_cols();

            -unspecified-return-type- transposed();
        }
    }

See also: boost/qvm/map.hpp | del_col | del_row | del_row_col | neg_col | neg_row | swap_cols | swap_rows | transposed